VTK: vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > Struct Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > Struct Template Reference

`#include <vtkDataArrayTupleRange_AOS.h>`

Collaboration diagram for vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >:
[legend]

## Public Types
using | iterator_category = std::random_access_iterator_tag
using | value_type = TupleReference< ArrayType, TupleSize >
using | difference_type = TupleIdType
using | pointer = TupleReference< ArrayType, TupleSize >
using | reference = TupleReference< ArrayType, TupleSize >

## Public Member Functions
VTK_ITER_INLINE | TupleIterator () noexcept=default
VTK_ITER_INLINE | TupleIterator (ValueType *tuple, NumCompsType numComps) noexcept
VTK_ITER_INLINE | TupleIterator (const TupleIterator &o) noexcept=default
VTK_ITER_INLINE TupleIterator & | operator= (const TupleIterator &o) noexcept
VTK_ITER_INLINE TupleIterator & | operator++ () noexcept
VTK_ITER_INLINE TupleIterator | operator++ (int) noexcept
VTK_ITER_INLINE TupleIterator & | operator-- () noexcept
VTK_ITER_INLINE TupleIterator | operator-- (int) noexcept
VTK_ITER_INLINE reference | operator[] (difference_type i) noexcept
reference | operator* () noexcept
pointer & | operator-> () noexcept
VTK_ITER_INLINE TupleIterator & | operator+= (difference_type offset) noexcept
VTK_ITER_INLINE TupleIterator & | operator-= (difference_type offset) noexcept

## Protected Member Functions
VTK_ITER_INLINE ValueType * | GetTuple () const noexcept
VTK_ITER_INLINE ValueType *& | GetTuple () noexcept
VTK_ITER_INLINE NumCompsType | GetNumComps () const noexcept
VTK_ITER_INLINE NumCompsType & | GetNumComps () noexcept

## Protected Attributes
TupleReference< ArrayType, TupleSize > | Ref

## Friends
struct | ConstTupleIterator< ArrayType, TupleSize >
VTK_ITER_INLINE TupleIterator | operator+ (const TupleIterator &it, difference_type offset) noexcept
VTK_ITER_INLINE TupleIterator | operator+ (difference_type offset, const TupleIterator &it) noexcept
VTK_ITER_INLINE TupleIterator | operator- (const TupleIterator &it, difference_type offset) noexcept
VTK_ITER_INLINE difference_type | operator- (const TupleIterator &it1, const TupleIterator &it2) noexcept
VTK_ITER_INLINE void | swap (TupleIterator &lhs, TupleIterator &rhs) noexcept

## Detailed Description

### template<typename ValueType, ComponentIdType TupleSize>
struct vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >

Definition at line 690 of file vtkDataArrayTupleRange_AOS.h.

## Member Typedef Documentation

## ◆ iterator_category

template<typename ValueType , ComponentIdType TupleSize>

using vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::iterator_category = std::random_access_iterator_tag

Definition at line 697 of file vtkDataArrayTupleRange_AOS.h.

## ◆ value_type

template<typename ValueType , ComponentIdType TupleSize>

using vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::value_type = TupleReference<ArrayType, TupleSize>

Definition at line 698 of file vtkDataArrayTupleRange_AOS.h.

## ◆ difference_type

template<typename ValueType , ComponentIdType TupleSize>

using vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::difference_type = TupleIdType

Definition at line 699 of file vtkDataArrayTupleRange_AOS.h.

## ◆ pointer

template<typename ValueType , ComponentIdType TupleSize>

using vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::pointer = TupleReference<ArrayType, TupleSize>

Definition at line 700 of file vtkDataArrayTupleRange_AOS.h.

## ◆ reference

template<typename ValueType , ComponentIdType TupleSize>

using vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::reference = TupleReference<ArrayType, TupleSize>

Definition at line 701 of file vtkDataArrayTupleRange_AOS.h.

## Constructor & Destructor Documentation

## ◆ TupleIterator() [1/3]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::TupleIterator | ( |  | ) |
| defaultnoexcept

## ◆ TupleIterator() [2/3]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::TupleIterator | ( | ValueType * | tuple,
|  | NumCompsType | numComps
| ) |  |
| inlinenoexcept

Definition at line 707 of file vtkDataArrayTupleRange_AOS.h.

## ◆ TupleIterator() [3/3]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::TupleIterator | ( | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | o | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ operator=()

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator= | ( | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | o | ) |
| inlinenoexcept

Definition at line 716 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator++() [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 723 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator++() [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 730 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator--() [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator-- | ( |  | ) |
| inlinenoexcept

Definition at line 738 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator--() [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator-- | ( | int |  | ) |
| inlinenoexcept

Definition at line 745 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator[]()

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE reference vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator[] | ( | difference_type | i | ) |
| inlinenoexcept

Definition at line 753 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator*()

template<typename ValueType , ComponentIdType TupleSize>

reference vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator* | ( |  | ) |
| inlinenoexcept

Definition at line 758 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator->()

template<typename ValueType , ComponentIdType TupleSize>

pointer& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator-> | ( |  | ) |
| inlinenoexcept

Definition at line 760 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator+=()

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator+= | ( | difference_type | offset | ) |
| inlinenoexcept

Definition at line 779 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator-=()

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::operator-= | ( | difference_type | offset | ) |
| inlinenoexcept

Definition at line 798 of file vtkDataArrayTupleRange_AOS.h.

## ◆ GetTuple() [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueType* vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::GetTuple | ( |  | ) | const
| inlineprotectednoexcept

Definition at line 828 of file vtkDataArrayTupleRange_AOS.h.

## ◆ GetTuple() [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueType*& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::GetTuple | ( |  | ) |
| inlineprotectednoexcept

Definition at line 830 of file vtkDataArrayTupleRange_AOS.h.

## ◆ GetNumComps() [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE NumCompsType vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::GetNumComps | ( |  | ) | const
| inlineprotectednoexcept

Definition at line 832 of file vtkDataArrayTupleRange_AOS.h.

## ◆ GetNumComps() [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE NumCompsType& vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::GetNumComps | ( |  | ) |
| inlineprotectednoexcept

Definition at line 834 of file vtkDataArrayTupleRange_AOS.h.

## Friends And Related Function Documentation

## ◆ ConstTupleIterator< ArrayType, TupleSize >

template<typename ValueType , ComponentIdType TupleSize>

friend struct ConstTupleIterator< ArrayType, TupleSize >
| friend

Definition at line 817 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator+ [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator operator+ | ( | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | it,
|  | difference_type | offset
| ) |  |
| friend

Definition at line 785 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator+ [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator operator+ | ( | difference_type | offset,
|  | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | it
| ) |  |
| friend

Definition at line 791 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator- [1/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIterator operator- | ( | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | it,
|  | difference_type | offset
| ) |  |
| friend

Definition at line 804 of file vtkDataArrayTupleRange_AOS.h.

## ◆ operator- [2/2]

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE difference_type operator- | ( | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | it1,
|  | const TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | it2
| ) |  |
| friend

Definition at line 810 of file vtkDataArrayTupleRange_AOS.h.

## ◆ swap

template<typename ValueType , ComponentIdType TupleSize>

VTK_ITER_INLINE void swap | ( | TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | lhs,
|  | TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize > & | rhs
| ) |  |
| friend

Definition at line 817 of file vtkDataArrayTupleRange_AOS.h.

## Member Data Documentation

## ◆ Ref

template<typename ValueType , ComponentIdType TupleSize>

TupleReference<ArrayType, TupleSize> vtk::detail::TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >::Ref
| protected

Definition at line 836 of file vtkDataArrayTupleRange_AOS.h.

The documentation for this struct was generated from the following file:

- Common/Core/vtkDataArrayTupleRange_AOS.h